Name: pb.rpc
ListenOn: 0.0.0.0:8080


# ===== PROC Config =====
#SnowflakeRpcConf:
#  Target: k8s://juwan/snowflake-svc.juwan:8080
#UserRpcConf:
#  Target: k8s://juwan/user-rpc-svc.juwan:8080
#
#DB:
#  Master: "postgresql://${PD_USERNAME}:${DB_PASSWORD}@user-db-rw.juwan:${DB_PORT}/${DB_NAME}?sslmode=disable"
#  Slave: "postgresql://${PD_USERNAME}:${DB_PASSWORD}@user-db-ro.juwan:${DB_PORT}/${DB_NAME}?sslmode=disable"
#
#CacheConf:
#  - Host: "${REDIS_M_HOST}"
#    Type: node
#    Pass: "${REDIS_PASSWORD}"
#    User: "default"
#  - Host: "${REDIS_S_HOST}"
#    Type: node
#    Pass: "${REDIS_PASSWORD}"
#    User: "default"
#
#Log:
#  Level: info

# ===== DEV Config =====
SnowflakeRpcConf:
  Endpoints:
    - snowflake:8080
UserRpcConf:
  Endpoints:
    - user-rpc:8080

DB:
  Master: "postgresql://${PD_USERNAME}:${DB_PASSWORD}@postgres:${DB_PORT}/${DB_NAME}?sslmode=disable"
  Slave: "postgresql://${PD_USERNAME}:${DB_PASSWORD}@postgres:${DB_PORT}/${DB_NAME}?sslmode=disable"

CacheConf:
  - Host: "${REDIS_HOST}:${REDIS_PORT}"
    Type: node

Log:
  Level: debug
